//
//    COLORS.H
//    ========
//
//    Color-Definitions
//
// Copyright  1993 - 2008 IDEAL Software. All rights reserved.
//



#ifndef _MODULE_COLORS
#define _MODULE_COLORS


// =========================================================================
//                       Color-Definitions
// =========================================================================
#define COLOR_BLACK        RGB(0, 0, 0)
#define COLOR_DKGRAY       RGB(128, 128, 128)
#define COLOR_GRAY         RGB(192, 192, 192)
#define COLOR_LTGRAY       RGB(230, 230, 230)
#define COLOR_WHITE        RGB(255, 255, 255)

#define COLOR_DKRED        RGB(128, 0, 0)
#define COLOR_RED          RGB(192, 0, 0)
#define COLOR_LTRED        RGB(255, 0, 0)

#define COLOR_DKORANGE     RGB(255,  64, 0)
#define COLOR_ORANGE       RGB(255, 128, 0)
#define COLOR_LTORANGE     RGB(255, 192, 0)

#define COLOR_DKYELLOW     RGB(224, 224, 0)
#define COLOR_YELLOW       RGB(242, 242, 0)
#define COLOR_LTYELLOW     RGB(255, 255, 0)

#define COLOR_DKGREEN      RGB(0, 128, 0)
#define COLOR_GREEN        RGB(0, 192, 0)
#define COLOR_LTGREEN      RGB(0, 255, 0)
#define COLOR_HIGREEN      RGB(0, 255, 128)
#define COLOR_BLUEGREEN    RGB(0, 128, 128)
#define COLOR_OLIVE        RGB(128, 128, 0)
#define COLOR_BROWN        RGB(128,  80, 0)

#define COLOR_DKBLUE       RGB(0,   0, 128)
#define COLOR_BLUE         RGB(0,   0, 255)
#define COLOR_LTBLUE       RGB(0, 128, 255)
#define COLOR_LTLTBLUE     RGB(0, 160, 255)
#define COLOR_HIBLUE       RGB(0, 192, 255)
#define COLOR_CYAN         RGB(0, 255, 255)

#define COLOR_DKPURPLE     RGB(128, 0, 128)
#define COLOR_PURPLE       RGB(192, 0, 192)
#define COLOR_MAGENTA      RGB(255, 0, 255)

#endif         // _MODULE_COLORS

